<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>
<%@ page import="ru.bitel.bgbilling.modules.yamoney.common.bean.Transaction" %>
<%@ page import="ru.bitel.bgbilling.modules.yamoney.common.bean.TransactionStatus" %>

<table class="table tableFont tableWidth1024" style="border-radius: 20px;">
	<thead>
		<tr>
			<td width="50">№</td>
			<td width="50">ID</td>
			<td>Дата/время оплаты</td>
			<td>Способ оплаты</td>
			<td>Статус</td>
			<td>Сумма</td>
		</tr>
	</thead>
	<tbody>
	<c:choose>
	<c:when test="${not empty dataMap['transactions']}">
		<c:forEach var="item" varStatus="status" items="${dataMap['transactions']}">
			<tr>
				<td>${status.count + dataMap['page'].pageSize * (dataMap['page'].pageIndex - 1)}</td>
				<td>${item.id}</td>
				<td><fmt:formatDate value="${item.paymentDateTime}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td>
				<td>${item.paymentType} </td>
				<td><%=TransactionStatus.ALL.getStatusByCode(((Transaction)pageContext.getAttribute("item")).getStatus()).getTitle() %></td>
				<td nowrap="nowrap">${item.orderSumAmount} ${item.orderSumCurrencyPaycash.title}</td>
				<c:if test="${dataMap['paymentSumAmount'] eq 'shop'}"><td nowrap="nowrap">${item.shopSumAmount} ${item.shopSumCurrencyPaycash.title}</td></c:if>
			</tr>
		</c:forEach>
	</c:when>
	<c:otherwise>
		<tr><td colspan="6" style="text-align: center;">Записи не найдены.</td></tr>
	</c:otherwise>
	</c:choose>
	</tbody>
</table>